//
//  VolumeView.h
//  AnalogSynthesizer
//
//  Created by 成田 拓郎 on 10/05/24.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>


@interface VolumeView : UIView {
	UIImage* imageKnob;
	UInt32 valueKnob;
	UInt32 valueMax;

	UInt32 beginValue;
	CGFloat beginY;

	SEL action;
	id  target;
}

@property (nonatomic, retain) UIImage* imageKnob;
@property (nonatomic) UInt32 valueKnob;
@property (nonatomic) UInt32 valueMax;

- (void)rotateView;

- (void)setAction:(SEL)aSelector;
- (void)setTarget:(id)anObject;

@end
